SVNTreeConflictDescription (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNTreeConflictDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNTreeConflictDescription

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictDescription
          org.tmatesoft.svn.core.wc.SVNTreeConflictDescription

public class SVNTreeConflictDescription
extends SVNConflictDescription

SVNTreeConflictDescription brings information on a tree conflict.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNTreeConflictDescription(File path, SVNNodeKind nodeKind, SVNConflictAction conflictAction, SVNConflictReason conflictReason, SVNOperation operation, org.tmatesoft.svn.core.internal.wc.SVNConflictVersion sourceLeftVersion, org.tmatesoft.svn.core.internal.wc.SVNConflictVersion sourceRightVersion)` Creates a new `SVNTreeConflictDescription`.

Method Summary
`SVNOperation` | `getOperation()` Returns the user operation that exposed this tree conflict.
`File` | `getPath()` Returns the wc file.
`String` | `getPropertyName()` Returns `null`.
`org.tmatesoft.svn.core.internal.wc.SVNConflictVersion` | `getSourceLeftVersion()` Returns info on the "merge-left source" or "older" version of incoming change.
`org.tmatesoft.svn.core.internal.wc.SVNConflictVersion` | `getSourceRightVersion()` Returns info on the "merge-right source" or "their" version of incoming change.
`boolean` | `isPropertyConflict()` Returns `false`.
`boolean` | `isTextConflict()` Returns `false`.
`boolean` | `isTreeConflict()` Returns `true`.

Methods inherited from class org.tmatesoft.svn.core.wc.SVNConflictDescription
`getConflictAction, getConflictReason, getMergeFiles, getNodeKind, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNTreeConflictDescription

    public SVNTreeConflictDescription(File path,
                                      SVNNodeKind nodeKind,
                                      SVNConflictAction conflictAction,
                                      SVNConflictReason conflictReason,
                                      SVNOperation operation,
                                      org.tmatesoft.svn.core.internal.wc.SVNConflictVersion sourceLeftVersion,
                                      org.tmatesoft.svn.core.internal.wc.SVNConflictVersion sourceRightVersion)

  Creates a new `SVNTreeConflictDescription`.

Parameters:
  `path` - wc path
  `nodeKind` - kind of the node, on which the tree conflict occurred
  `conflictAction` - action which lead to the conflict
  `conflictReason` - reason why the conflict occurred
  `operation` - user operation which exposed the conflict
  `sourceLeftVersion` - info on the "merge-left source" or "older" version of incoming change
  `sourceRightVersion` - info on the "merge-right source" or "their" version of incoming change
Since:
  1.3

Method Detail

### isTextConflict

    public boolean isTextConflict()

  Returns `false`.

  Specified by:
    `isTextConflict` in class `SVNConflictDescription`
  Returns:
    `false`
  Since:
    1.3

### isPropertyConflict

    public boolean isPropertyConflict()

  Returns `false`.

  Specified by:
    `isPropertyConflict` in class `SVNConflictDescription`
  Returns:
    `false`
  Since:
    1.3

### isTreeConflict

    public boolean isTreeConflict()

  Returns `true`.

  Specified by:
    `isTreeConflict` in class `SVNConflictDescription`
  Returns:
    `true`
  Since:
    1.3

### getPath

    public File getPath()

  Returns the wc file.

  Overrides:
    `getPath` in class `SVNConflictDescription`
  Returns:
    detranslated wc file
  Since:
    1.3

### getOperation

    public SVNOperation getOperation()

  Returns the user operation that exposed this tree conflict.

  Returns:
    user operation
  Since:
    1.3

### getSourceLeftVersion

    public org.tmatesoft.svn.core.internal.wc.SVNConflictVersion getSourceLeftVersion()

  Returns info on the "merge-left source" or "older" version of incoming change.

  Returns:
    left version info
  Since:
    1.3

### getSourceRightVersion

    public org.tmatesoft.svn.core.internal.wc.SVNConflictVersion getSourceRightVersion()

  Returns info on the "merge-right source" or "their" version of incoming change.

  Returns:
    right version info
  Since:
    1.3

### getPropertyName

    public String getPropertyName()

  Returns `null`.

  Specified by:
    `getPropertyName` in class `SVNConflictDescription`
  Returns:
    `null`
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.